---
title: 'Element: mousewheel event'
slug: Web/API/Element/mousewheel_event
tags:
  - DOM
  - Deprecated
  - Event
  - Interface
  - Non-standard
  - UI
  - mouse
  - mousewheel
  - scrolling
  - wheel
---
<p>{{APIRef}}{{deprecated_header}}{{ Non-standard_header() }}</p>

<p>The <em>obsolete</em> and <em>non-standard</em> <code><strong>mousewheel</strong></code> event is fired asynchronously at an {{domxref("Element")}} to provide updates while a mouse wheel or similar device is operated. The <code>mousewheel</code> event was never part of any standard, and while it was implemented by several browsers, it was never implemented by Firefox.</p>

<div class="notecard note">
<p><strong>Important:</strong> Instead of this obsolete event, use the standard {{domxref("Element.wheel_event", "wheel")}} event.</p>
</div>

<table class="properties">
	<tbody>
		<tr>
			<th scope="row">Bubbles</th>
			<td>Yes</td>
		</tr>
		<tr>
			<th scope="row">Cancelable</th>
			<td>Yes</td>
		</tr>
		<tr>
			<th scope="row">Interface</th>
			<td>{{domxref("MouseWheelEvent")}} {{deprecated_inline}}</td>
		</tr>
		<tr>
			<th scope="row">Event handler property</th>
			<td>{{domxref("GlobalEventHandlers.onmousewheel", "onmousewheel")}}</td>
		</tr>
	</tbody>
</table>

<h2 id="The_detail_property">The detail property</h2>

<p>The value of the {{domxref("Event.detail", "detail")}} property is always zero, except in Opera, which uses <code>detail</code> similarly to the Firefox-only {{domxref("Element.DOMMouseScroll_event", "DOMMouseScroll")}} event's <code>detail</code> value, which indicates the scroll distance in terms of lines, with negative values indicating the scrolling movement is either toward the bottom or toward the right, and positive values indicating scrolling to the top or left.</p>

<div class="notecard note">
<p><strong>Note:</strong> On macOS, the scroll distance (and therefore the value of <code>detail</code>) is computed based on the accelerated scroll distance.</p>
</div>

<p>On Linux, <code>2</code> or <code>-2</code> is set per native wheel event.</p>

<h2 id="wheelDelta_wheelDeltaX_and_wheelDeltaY_value">wheelDelta, wheelDeltaX and wheelDeltaY value</h2>

<p>The <code>wheelDelta</code> attribute value is an abstract value which indicates how far the wheel turned. If the wheel has rotated away from the user, it's positive, otherwise negative. This means that the delta value sign is different from DOM Level 3 Event's <code>wheel</code>. However, the meaning of the amount of these values is not the same between browsers. See following explanation for the detail.</p>

<p>IE and Opera (Presto) only support <code>wheelDelta</code> attribute and do <em>not</em> support horizontal scroll.</p>

<p>The <code>wheelDeltaX</code> attribute value indicates the <code>wheelDelta</code> attribute value along the horizontal axis. When a user operates the device for scrolling to right, the value is negative. Otherwise, i.e., if it's to left, the value is positive.</p>

<p>The <code>wheelDeltaY</code> attribute value indicates the <code>wheelDelta</code> attribute value along the vertical axis. The sign of the value is the same as the <code>wheelDelta</code> attribute value.</p>

<h3 id="Internet_Explorer">Internet Explorer</h3>

<p>The value is the same as the delta value of Windows' <code>WM_MOUSEWHEEL</code> or <code>WM_MOUSEHWHEEL</code>. It means that if the mouse wheel doesn't support high resolution scroll, the value is 120 per notch. The value isn't changed even if the scroll amount of system settings is page scroll.</p>

<h3 id="Chrome">Chrome</h3>

<p>On Windows, the value is the same as the delta value of <code>WM_MOUSEWHEEL</code> or <code>WM_MOUSEHWHEEL</code>. And also, the value isn't changed even if the scroll amount of system settings is page scroll, i.e., the value is the same as IE on Windows.</p>

<p>On Linux, the value is <code>120</code> or <code>-120</code> per native wheel event. This makes the same behavior as IE and Chrome for Windows.</p>

<p>On Mac, the value is complicated. The value is changed if the <strong>device</strong> that causes the native wheel event supports continuous scroll.</p>

<p>If the device supports continuous scroll (e.g., trackpad of MacBook or mouse wheel which can be turned smoothly), the value is computed from accelerated scroll amount. In this case, the value is the same as Safari.</p>

<p>If the device does <strong>not</strong> support continuous scroll (typically, old mouse wheel which cannot be turned smoothly), the value is computed from non-accelerated scroll amount (120 per notch). In this case, the value is different from Safari.</p>

<p>This difference makes a serious issue for web application developers. That is, web developers cannot know if <code>mousewheel</code> event is caused by which device.</p>

<p>See <code>WebInputEventFactory::mouseWheelEvent</code> of the <a href="http://mxr.mozilla.org/chromium/source/src/third_party/WebKit/Source/web/WebInputEventFactoryMac.mm" title="http://mxr.mozilla.org/chromium/source/src/third_party/WebKit/Source/web/mac/WebInputEventFactory.mm">Chromium's source code</a> for the detail.</p>

<h3 id="Safari">Safari</h3>

<p>The value is always computed from accelerated scroll amount. This is really different from other browsers except Chrome with continuous scroll supported device.</p>

<h3 id="Opera_(Presto)">Opera (Presto)</h3>

<p>The value is always the <code>detail</code> attribute value ✕ <code>40</code>.</p>

<p>On Windows, since the <code>detail</code> attribute value is computed from actual scroll amount, the value is different from other browsers except the scroll amount per notch is 3 lines in system settings or a page.</p>

<p>On Linux, the value is <code>80</code> or <code>-80</code> per native wheel event. This is different from other browsers.</p>

<p>On Mac, the <code>detail</code> attribute value is computed from accelerated scroll amout of native event. The value is usually much bigger than Safari's or Chrome's value.</p>

<h2 id="Specifications">Specifications</h2>

<p>Not part of any specification.</p>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.Element.mousewheel_event")}}</p>

<h2 id="See_also">See also</h2>

<ul>
	<li>{{ domxref("MouseWheelEvent") }}</li>
	<li>Gecko's legacy mouse wheel events: <code>DOMMouseScroll</code>, <code>MozMousePixelScroll</code></li>
	<li>Standardized wheel event: <code>wheel</code></li>
</ul>
